﻿@model AutenticacionDosFactoresViewModel

<p><strong>Por favor, ingrese el siguiente código en su App Autenticador: </strong></p>@Model.Token
<p>O también puedes escanear el siguiente código QR</p>
<div id="codigoQr">

</div>

<form method="POST">
    <input type="hidden" asp-for="Token" />

    <hr />

    <div class="row">
        <div class="col-sm-7">
            <div class="col-md-12">
                <label asp-for="Code"></label>
                <input type="text" asp-for="Code" class="form-control" placeholder="Escribe aquí el código de tu autenticador:" />
                <span asp-validation-for="Code" class="text-danger"></span>
            </div>
        </div>

        <div class="col-sm-5">
            <div class="col-sm-5">
                <div class="col-md-12 pt-4">
                    <button type="submit" class="btn btn-primary mt-3"><i class="bi bi-arrow-right-circle-fill"></i> Enviar</button>
                </div>
            </div>
        </div>
    </div>
</form>

@section Scripts {
    @{
        await Html.RenderPartialAsync("_ValidationScriptsPartial");
    }

    <script src="~/js/qrcode.js"></script>
    <script type="text/javascript">
        new QRCode(document.getElementById("codigoQr"), "@Model.UrlCodigoQr");
    </script>
}